/*=============== GOOGLE FONTS ===============*/
@import url("https://fonts.googleapis.com/css2?family=Roboto:wght@400;500;700&display=swap");

/*=============== VARIABLES CSS ===============*/
:root {
  --header-height: 5rem;

  /*========== Colors ==========*/
  /*Color mode HSL(hue, saturation, lightness)*/
  --first-color: hsl(31, 100%, 70%);
  --button-color: hsl(0, 0%, 17%);
  --button-color-alt: hsl(0, 0%, 21%);
  --title-color: hsl(0, 0%, 15%);
  --text-color: hsl(0, 0%, 35%);
  --text-color-light: hsl(0, 0%, 55%);
  --body-color: hsl(0, 0%, 99%);
  --container-color: #fff;
  --border-color: hsl(0, 0%, 94%);

  /*========== Font and typography ==========*/
  /*.5rem = 8px | 1rem = 16px ...*/
  --body-font: "Roboto", sans-serif;
  --biggest-font-size: 2.5rem;
  --h1-font-size: 2.25rem;
  --h2-font-size: 1.5rem;
  --h3-font-size: 1.25rem;
  --normal-font-size: 1rem;
  --small-font-size: 0.875rem;
  --smaller-font-size: 0.813rem;
  /*========== Font weight ==========*/
  --font-medium: 500;
  --font-bold: 700;

  /*========== Margins Bottom ==========*/
  /*.5rem = 8px | 1rem = 16px ...*/
  --mb-0-5: 0.5rem;
  --mb-0-75: 0.75rem;
  --mb-1: 1rem;
  --mb-1-5: 1.5rem;
  --mb-2: 2rem;
  --mb-2-5: 2.5rem;
  --mb-3: 3rem;

  /*========== z index ==========*/
  --z-tooltip: 10;
  --z-fixed: 100;
}

/* Responsive typography */
@media screen and (width <= 968px) {
  :root {
    --biggest-font-size: 2rem;
    --h1-font-size: 1.5rem;
    --h2-font-size: 1.25rem;
    --h3-font-size: 1rem;
    --normal-font-size: 0.938rem;
    --small-font-size: 0.813rem;
    --smaller-font-size: 0.75rem;
  }
}

/*=============== BASE ===============*/
* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}

html {
  scroll-behavior: smooth;
}

body,
button,
input {
  font-family: var(--body-font);
  font-size: var(--normal-font-size);
}

body {
  margin: 0;
  background-color: var(--body-color);
  color: var(--text-color);
  color: black;
  /*For animation dark mode*/
  transition: 0.4s;
}

h1,
h2,
h3,
h4 {
  color: var(--title-color);
  font-weight: var(--font-medium);
}

ul {
  list-style: none;
}

a {
  text-decoration: none;
}

img {
  max-width: 100%;
  height: auto;
}

button {
  cursor: pointer;
  border: none;
  outline: none;
}

/*=============== THEME ===============*/
/*========== Variables Dark theme ==========*/
body.dark-theme {
  --first-color: hsl(31, 76%, 74%);
  --button-color: hsl(0, 0%, 24%);
  --button-color-alt: hsl(0, 0%, 28%);
  --title-color: hsl(0, 0%, 95%);
  --text-color: hsl(0, 0%, 75%);
  --body-color: hsl(0, 0%, 12%);
  --container-color: hsl(0, 0%, 16%);
  --border-color: hsl(0, 0%, 20%);
}
/*========== Button Dark/Light ==========*/

/*========== 
    Color changes in some parts of 
    the website, in dark theme 
==========*/

/*=============== REUSABLE CSS CLASSES ===============*/
.container {
  max-width: 1024px;
  margin: 0 auto;
}

.grid {
  display: grid;
}

.main {
  overflow: hidden;
}

.section {
  padding: 6.5rem 0 1rem;
}

.section_title {
  position: relative;
  font-size: var(--h2-font-size);
  margin-bottom: var(--mb-3);
  text-transform: uppercase;
  letter-spacing: 2px;
  text-align: center;
}

.section_title::before {
  content: "";
  position: absolute;
  top: -1rem;
  left: 0;
  right: 0;
  margin: 0 auto;
  width: 67px;
  height: 1.5px;
  background-color: var(--first-color);
}

/*=============== HEADER & NAV ===============*/
.header {
  width: 100%;
  position: fixed;
  top: 0;
  left: 0;
  z-index: var(--z-fixed);
  transition: 0.4s;
  background-color: transparent;
}
.nav {
  display: flex;
  flex-wrap: wrap;
  justify-content: initial;
  align-items: center;
  height: var(--header-height);
  column-gap: 3rem;
}
.nav_logo,
.nav_close {
  color: var(--title-color);
}
.nav_logo {
  font-size: var(--h3-font-size);
  text-transform: uppercase;
  font-weight: var(--font-bold);
  letter-spacing: 1px;
  display: flex;
  align-items: center;
}
.nav_logo i {
  margin-right: 8px;
}
.nav_list {
  display: flex;
  column-gap: 2.5rem;
}
.nav_link {
  color: var(--title-color);
  font-weight: var(--font-medium);
  transition: 0.3s;
}
.nav_link:hover {
  color: var(--first-color);
}
.nav_close,
.nav_open {
  display: none;
  cursor: pointer;
}
.nav_open {
  font-size: 18px;
}
.nav_icons {
  text-align: right;
  flex: 1;
}
.nav_icons i {
  cursor: pointer;
}
.nav_dark {
  margin-right: 16px;
}
/* Show menu */
.show-menu {
  right: 0;
}
/* Change background header */
.scroll-header {
  box-shadow: 0 1px 4px rgba(40, 37, 37, 0.1);
  background: var(--body-color);
  color: var(--title-color);
}
/* Active link */
.active {
  color: var(--first-color);
}
/*=============== HOME ===============*/
.home_container {
  position: relative;
  column-gap: 2.5rem;
  padding-top: 6rem;
  display: flex;
  flex-direction: row-reverse;
  align-items: center;
  justify-content: center;
}
.home_img-bg {
  background-color: var(--first-color);
  height: 680px;
  padding-bottom: 2rem;
  display: flex;
  justify-content: center;
  align-items: flex-end;
  justify-self: flex-end;
  transform: translate(1.5rem, -6rem);
}
.home_social {
  position: absolute;
  left: -5rem;
  transform: rotate(-90deg);
  display: flex;
  column-gap: 1rem;
}
.home_social-link {
  font-size: var(--smaller-font-size);
  color: var(--text-color-light);
  transition: 0.3s;
}
.home_social-link:hover {
  color: var(--title-color);
}
.home_data {
  padding: 0 0 8rem 6rem;
}
.home_title {
  font-size: var(--biggest-font-size);
  font-weight: var(--font-bold);
  margin-bottom: var(--mb-1);
}
.home_description {
  margin-bottom: var(--mb-1-5);
  color: var(--text-color);
}
.home_price {
  display: inline-block;
  font-size: var(--h2-font-size);
  font-weight: var(--font-medium);
  color: var(--first-color);
  margin-bottom: var(--mb-3);
}
.home_btns {
  display: flex;
  align-items: center;
}
.home_button {
  box-shadow: 0 12px 24px hsla(0, 0%, 10%, 0.2);
}
/*=============== BUTTONS ===============*/
.button {
  display: inline-block;
  background-color: var(--button-color);
  color: #fff;
  padding: 1.25rem 2rem;
  font-weight: var(--font-medium);
  transition: 0.3s;
  text-transform: uppercase;
}

.button:hover {
  background-color: var(--button-color-alt);
}

.button--gray {
  background-color: hsl(0, 0%, 75%);
  color: var(--title-color);
}

.button--gray:hover {
  background-color: hsl(0, 0%, 63%);
}

.button--small {
  padding: 1rem 1.5rem;
}

/*=============== FEATURED ===============*/
.featured_container {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
  padding-top: 2rem;
  gap: 2rem;
  text-transform: uppercase;
}
.featured_card {
  position: relative;
  text-align: center;
  background-color: var(--container-color);
  padding-top: 2rem;
  border: 1px solid var(--border-color);
  transition: 0.3s;
  overflow-y: hidden;
  width: calc((100% / 3) - 2rem);
  height: fit-content;
}
.featured_card:hover {
  box-shadow: 0 12px 32px hsla(0, 0%, 20%, 0.1);
  padding: 2rem 0 3rem 0;
}
.featured_tag {
  background-color: var(--first-color);
  padding: 0.5rem 1rem;
  color: #fff;
  text-transform: uppercase;
  font-size: var(--small-font-size);
  font-weight: var(--font-medium);
  position: absolute;
  transform: rotate(-90deg);
  left: -1rem;
  top: 3rem;
}
.featured_img {
  height: 214px;
  margin-bottom: var(--mb-1);
}
.featured_title {
  margin-bottom: var(--mb-0-75);
  font-size: 18px;
  font-weight: var(--font-bold);
}
.featured_price {
  margin-bottom: var(--mb-0-75);
  display: block;
  font-weight: var(--font-bold);
  color: var(--first-color);
}
.featured_button {
  opacity: 0;
}
.featured_card:hover .featured_button {
  opacity: 1;
  transform: translateY(1rem);
}
/*=============== STORY ===============*/
.story_container {
  display: flex;
  flex-direction: row-reverse;
  align-items: center;
  justify-content: space-between;
  column-gap: 13rem;
  padding-top: 3rem;
}
.story_container .section_title {
  text-align: left;
  font-size: var(--h2-font-size);
}
.story_container .section_title::before {
  margin: initial;
}
.story_data {
  text-align: left;
}
.story_title {
  font-size: var(--h1-font-size);
  margin-bottom: var(--mb-1);
}
.story_description {
  margin-bottom: var(--mb-2-5);
  color: var(--text-color);
}
.story_button {
  padding: 1rem 1.5rem;
}
.story_img-container {
  position: relative;
}
.story_img {
  width: 450px;
  position: absolute;
  top: -5rem;
  left: 5rem;
}
.story_square {
  width: 450px;
  height: 450px;
  background-color: var(--first-color);
}
/*=============== PRODUCTS ===============*/
.products_container {
  display: grid;
  grid-template-columns: repeat(3, 220px);
  justify-content: space-between;
  gap: 2.5rem;
  padding-top: 2rem;
}
.products_card {
  position: relative;
  background-color: var(--container-color);
  padding: 2rem 0;
  border: 1px solid var(--border-color);
  text-align: center;
  transition: 0.3s;
}
.products_card:hover {
  box-shadow: 0 8px 32px hsla(0, 0%, 10%, 0.1);
}
.products_img {
  height: 155px;
}
.products_title {
  text-transform: uppercase;
  margin-bottom: var(--mb-0-5);
  margin-top: var(--mb-1);
}
.products_price {
  display: block;
  font-size: var(--small-font-size);
  font-weight: var(--font-medium);
  color: var(--first-color);
}
.products_shop {
  position: absolute;
  bottom: 0;
  right: 0;
  background-color: var(--button-color);
  padding: 8px;
  color: #fff;
  cursor: pointer;
}
/*=============== TESTIMONIAL ===============*/
.testimonial_container {
  /* display: flex;
  align-items: center;
  justify-content: space-between;
  flex-wrap: wrap;*/
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  align-items: center;
  column-gap: 8rem;
  row-gap: 4rem;
  padding-top: 3rem;
  padding-bottom: 3rem;
}
.testimonial__card {
  max-width: 100%;
}
.testimonial__quote {
  display: inline-flex;
  background-color: var(--container-color);
  padding: 0.5rem 0.75rem;
  font-size: 1.5rem;
  color: var(--first-color);
  box-shadow: 0 4px 12px hsla(0, 0%, 20%, 0.1);
  margin-bottom: var(--mb-2);
}
.testimonial__description {
  margin-bottom: var(--mb-1);
  color: var(--text-color);
}
.testimonial__date {
  font-size: var(--normal-font-size);
  margin-bottom: var(--mb-2);
}
.testimonial__profile {
  display: flex;
  align-items: center;
  column-gap: 1rem;
  margin-bottom: 7rem;
}
.testimonial__profile-img {
  width: 60px;
  height: 60px;
  border-radius: 3rem;
}
.testimonial__profile-data {
  display: flex;
  flex-direction: column;
  row-gap: 0.5rem;
}

.testimonial__profile-name {
  font-size: var(--h3-font-size);
  font-weight: var(--font-medium);
  color: var(--title-color);
}

.testimonial__profile-detail {
  font-size: var(--small-font-size);
  color: var(--text-color);
}

.testimonial_img-container {
  position: relative;
}
.testimonial_img {
  width: 450px;
  position: absolute;
  bottom: -5rem;
  left: -5rem;
}
.testimonial_square {
  width: 450px;
  height: 450px;
  background-color: var(--first-color);
}
.testimonial-swiper {
  margin: initial;
}
/* Swiper class */
.swiper-button-next,
.swiper-button-prev {
  top: initial;
  bottom: 5%;
  width: initial;
  height: initial;
  background-color: var(--container-color);
  box-shadow: 0 4px 12px hsla(0, 0%, 20%, 0.1);
  padding: 0.25rem;
  font-size: 1.5rem;
  color: var(--first-color);
}
.swiper-button-next {
  right: initial;
  left: 4rem;
}
.swiper-button-next:after,
.swiper-button-prev:after {
  content: "";
}
/*=============== NEW ===============*/
.new_container {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
  padding-top: 2rem;
  gap: 2rem;
  text-transform: uppercase;
}
.new_card {
  position: relative;
  text-align: center;
  background-color: var(--container-color);
  padding-top: 2rem;
  border: 1px solid var(--border-color);
  transition: 0.3s;
  overflow-y: hidden;
  width: calc((100% / 4) - 2rem);
  min-width: 200px;
  height: fit-content;
}
.new_card:hover {
  box-shadow: 0 12px 32px hsla(0, 0%, 20%, 0.1);
  padding: 2rem 0 3rem 0;
  background-color: var(--first-color);
}
.new_tag {
  background-color: var(--first-color);
  padding: 0.5rem 1rem;
  color: #fff;
  text-transform: uppercase;
  font-size: var(--small-font-size);
  font-weight: var(--font-medium);
  position: absolute;
  transform: rotate(-90deg);
  left: -1rem;
  top: 3rem;
}
.new_card:hover .new_tag {
  background-color: var(--button-color);
}
.new_img {
  height: 214px;
  margin-bottom: var(--mb-1);
}
.new_title {
  margin-bottom: var(--mb-0-75);
  font-size: 18px;
  font-weight: var(--font-bold);
}
.new_price {
  display: block;
  font-weight: var(--font-bold);
  color: var(--first-color);
}
.new_card:hover .new_price {
  color: hsl(0, 0%, 15%);
  margin-bottom: var(--mb-1-5);
}
.new_button {
  opacity: 0;
}
.new_card:hover .new_button {
  opacity: 1;
  transform: translateY(1rem);
}
/*=============== NEWSLETTER ===============*/
.newsletter_bg {
  background-color: var(--first-color);
  padding: 4.5rem;
  display: flex;
  gap: 2rem;
}
.newsletter_data {
  flex-basis: 50%;
}
.newsletter_title {
  font-size: var(--h1-font-size);
  margin-bottom: var(--mb-1-5);
  color: hsl(0, 0%, 15%);
}
.newsletter_description {
  color: hsl(0, 0%, 35%);
}
form.newsletter_subscribe {
  flex-basis: 50%;
  display: flex;
  align-items: center;
}
#email-input {
  border: none;
  outline: none;
  padding: 20px 16px;
  width: 100%;
  color: #000;
}
/*=============== FOOTER ===============*/
.footer {
  padding: 8rem 0 1rem;
}
.footer_container {
  display: grid;
  grid-template-columns: repeat(4, max-content);
  justify-content: space-between;
  row-gap: 2rem;
  border-bottom: 1px solid var(--border-color);
  padding-bottom: 3rem;
}
.footer_title {
  font-size: var(--h2-font-size);
  margin-bottom: var(--mb-1-5);
}
.footer_list,
.footer_links {
  display: flex;
  flex-direction: column;
  row-gap: 12px;
}
.footer_list li,
.footer_link,
.footer_social i {
  color: var(--text-color);
}
.footer_link:hover,
.footer_social i:hover {
  color: var(--title-color);
}
.footer_social {
display: flex;
align-items: center;
gap: 16px;
}
.footer_copy {
  display: block;
  margin: 3.5rem 0 1rem 0;
  text-align: center;
  font-size: var(--smaller-font-size);
  color: var(--text-color-light);
}
/*=============== SCROLL UP ===============*/
.scroll-up {
  position: fixed;
  right: 3rem;
  bottom: -30%;
  background-color: var(--container-color);
  box-shadow: 0 4px 12px hsla(0, 0%, 20%, 0.1);
  display: inline-flex;
  padding: 6px;
  z-index: var(--z-tooltip);
  opacity: 0.8;
  transition: 0.4s;
}
.scroll-up i {
  font-size: 20px;
  color: var(--first-color);
}
/* Show Scroll Up*/
.show-scroll {
  bottom: 3rem;
}
/*=============== SCROLL BAR ===============*/
::-webkit-scrollbar {
  width: 0.6rem;
  background: hsl(0, 0%, 74%);
}

::-webkit-scrollbar-thumb {
  background: hsl(0, 0%, 17%);
}
/*=============== CART ===============*/
.cart {
  position: fixed;
  background-color: var(--body-color);
  z-index: var(--z-fixed);
  width: 420px;
  box-shadow: -2px 0 4px hsla(0, 0%, 15%, 0.1);
  height: 100%;
  top: 0;
  right: -100%;
  padding: 3.5rem 2rem;
  transition: 0.4s;
}
.close_cart {
  font-size: 24px;
  color: var(--title-color);
  position: absolute;
  top: 1.5rem;
  right: 1.5rem;
  cursor: pointer;
}
.cart_title {
  text-align: center;
  margin-bottom: var(--mb-3);
  font-size: var(--h2-font-size);
}
.cart_container {
  display: flex;
  flex-direction: column;
  row-gap: 1.5rem;
}
.cart_card {
  display: flex;
  align-items: center;
  column-gap: 1rem;
}
.cart_box {
  background-color: var(--container-color);
  padding: 0.75rem 1.25rem;
  border: 1px solid var(--border-color);
}
.cart_img {
  width: 50px;
}
.product_title {
  font-size: var(--normal-font-size);
  margin-bottom: 0.5rem;
}
.cart_price {
  display: block;
  font-size: var(--small-font-size);
  color: var(--first-color);
  margin-bottom: var(--mb-1-5);
}
.cart_amount {
  column-gap: 3rem;
}
.cart_amount,
.cart_amount-content {
  display: flex;
  align-items: center;
}
.cart_amount-content {
  column-gap: 1rem;
  color: var(--title-color);
}
.cart_amount-box {
  display: inline-flex;
  padding: 0.25rem;
  background-color: var(--container-color);
  border: 1px solid var(--border-color);
  cursor: pointer;
}
.cart_amount-trash {
  font-size: 1.15rem;
  color: var(--first-color);
  cursor: pointer;
}
.cart_prices {
  margin-top: 3.5rem;
  display: flex;
  justify-content: space-between;
  color: var(--title-color);
}
.cart_price-total {
  font-size: var(--h3-font-size);
  font-weight: var(--font-medium);
}
/* Show cart */
.show-cart {
  right: 0;
}
/*=============== BREAKPOINTS ===============*/
/* For medium devices */
@media (width <= 768px) {
  .nav {
    justify-content: space-between;
    column-gap: normal;
    height: 3.5rem;
  }
  .nav_menu {
    position: fixed;
    background-color: var(--body-color);
    top: 0;
    right: -100%;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    font-size: var(--h1-font-size);
    transition: 0.3s;
  }
  .show-menu {
    right: 0;
  }
  .nav_list {
    flex-direction: column;
    row-gap: 2.5rem;
  }
  .nav_open {
    display: inline-block;
    font-weight: var(--font-bold);
    margin-left: 16px;
  }
  .nav_close {
    display: block;
    position: absolute;
    top: 1rem;
    right: 20px;
  }
  .home_container {
    flex-direction: column;
    row-gap: 2.5rem;
    align-items: flex-end;
  }
  .home_img-bg {
    width: 340px;
  }
  .home_title {
    font-size: var(--h1-font-size);
  }
  .home_social {
    top: 30%;
  }
  .home_data {
    padding: 0;
  }
  .cart {
    width: 100%;
  }
  .cart_card {
    justify-content: center;
  }
  .featured_card {
    width: calc((100% / 2) - 2rem);
  }
  .story_container {
    flex-direction: column;
    align-items: flex-start;
    row-gap: 7.5rem;
  }
  .story_container .section_title {
    text-align: center;
  }
  .story_container .section_title::before {
    margin: 0 auto;
  }
  .products_container {
    grid-template-columns: repeat(2, 1fr);
  }
  .testimonial_container {
    grid-template-columns: repeat(1, 1fr);
  }
  .new_card {
    width: calc((100% / 2) - 2rem);
  }
  .newsletter_bg {
    padding: 3rem 1.5rem;
  }
  .newsletter_data {
    text-align: center;
  }
  .newsletter_bg,
  form.newsletter_subscribe {
    flex-direction: column;
  }
  form.newsletter_subscribe .button {
    width: 100%;
    margin-top: var(--mb-1);
  }
  .footer_container {
    grid-template-columns: repeat(2, 1fr);
  }
}
/* For large devices */
@media (width <= 1024px) {
  .container {
    margin-left: var(--mb-1-5);
    margin-right: var(--mb-1-5);
  }
  .story_img {
    width: 250px;
    top: -3rem;
    left: 3rem;
  }
  .story_square {
    width: 250px;
    height: 250px;
  }
  .testimonial_img {
    width: 250px;
    top: -3rem;
    left: 3rem;
  }
  .testimonial_square {
    width: 250px;
    height: 250px;
  }
}
@media (width < 576px) {
  .container {
    margin-left: var(--mb-1);
    margin-right: var(--mb-1);
  }
  .home_img {
    width: 240px;
  }
  .home_img-bg {
    height: 430px;
    width: 220px;
  }
  .home_button {
    font-size: var(--smaller-font-size);
  }
  .featured_card {
    width: 100%;
  }
  .story_square {
    width: 180px;
    height: 180px;
  }
  .products_container {
    grid-template-columns: repeat(1, 1fr);
  }
  .testimonial_square,
  .testimonial_img {
    width: 180px;
    height: 180px;
  }
  .new_card {
    width: 100%;
  }
  .scroll-up {
    right: 1rem;
  }
}
